package cn.iocoder.yudao.module.member.service.appup;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.controller.admin.appup.vo.AppUpPageReqVO;
import cn.iocoder.yudao.module.member.controller.admin.appup.vo.AppUpSaveReqVO;
import cn.iocoder.yudao.module.member.controller.app.appup.vo.AppAppUpPageReqVO;
import cn.iocoder.yudao.module.member.controller.app.appup.vo.AppAppUpSaveReqVO;
import cn.iocoder.yudao.module.member.dal.dataobject.appup.AppUpDO;

import javax.validation.Valid;

/**
 * app更新 Service 接口
 *
 * @author 管理员
 */
public interface AppUpService {

    /**
     * 创建app更新
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAppUp(@Valid AppUpSaveReqVO createReqVO);

    Long createAppUp(AppAppUpSaveReqVO createReqVO);
    /**
     * 更新app更新
     *
     * @param updateReqVO 更新信息
     */
    void updateAppUp(@Valid AppUpSaveReqVO updateReqVO);
    void updateAppUp(@Valid AppAppUpSaveReqVO updateReqVO);
    /**
     * 删除app更新
     *
     * @param id 编号
     */
    void deleteAppUp(Long id);

    /**
     * 获得app更新
     *
     * @param id 编号
     * @return app更新
     */
    AppUpDO getAppUp(Long id);

    /**
     * 获得app更新分页
     *
     * @param pageReqVO 分页查询
     * @return app更新分页
     */
    PageResult<AppUpDO> getAppUpPage(AppUpPageReqVO pageReqVO);

    PageResult<AppUpDO> getAppUpPage(AppAppUpPageReqVO pageReqVO);
}